<?xml version="1.0" encoding="utf-8"?>
<creole>
    <variables>
        <family name='eole sso'>
            <!-- Mapping Attribut SAML -->
            <variable name='eolesso_cas_serverversion' type='string' description="Version du serveur SSO associé" mode='expert' mandatory="True">
                <value>CAS_VERSION_2_0</value>
            </variable>

            <variable name='eolesso_cas_samlmaplogin' type='string' description="Mapping SAML pour l'attribut login" mandatory="True">
                <value>UTILISATEUR.LOGIN</value>
            </variable>

            <variable name='eolesso_cas_samlmapfirstname' type='string' description="Mapping SAML pour l'attribut prénom" mandatory="True">
                <value>UTILISATEUR.NOM</value>
            </variable>

            <variable name='eolesso_cas_samlmaplastname' type='string' description="Mapping SAML pour l'attribut nom" mandatory="True">
                <value>UTILISATEUR.PRENOM</value>
            </variable>

            <variable name='eolesso_cas_samlmapemail' type='string' description="Mapping SAML pour l'attribut email" mandatory="True">
                <value>UTILISATEUR.MELPR</value>
            </variable>
        </family>

        <separators>
            <separator name='eolesso_cas_serverversion'>Version du serveur SSO</separator>
        </separators>
    </variables>

    <constraints>
        <check name='valid_enum' target='eolesso_cas_serverversion'>
            <param>['CAS_VERSION_2_0','SAML_VERSION_1_1']</param>
        </check>

        <condition name='frozen_if_in' source='activer_sso'>
            <param>local</param>
            <target type='variable'>eolesso_cas_serverversion</target>
        </condition>

        <condition name='disabled_if_in' source='eolesso_cas_serverversion'>
            <param>CAS_VERSION_2_0</param>
            <target type='variable'>eolesso_cas_samlmaplogin</target>
            <target type='variable'>eolesso_cas_samlmapfirstname</target>
            <target type='variable'>eolesso_cas_samlmaplastname</target>
            <target type='variable'>eolesso_cas_samlmapemail</target>
        </condition>
    </constraints>

    <help>
        <variable name='eolesso_cas_serverversion'>Permet de basculer d'un mode de connexion au serveur SSO en mode CAS ou en mode SAML</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
